var is_weixin = (function() {
	var ua = navigator.userAgent.toLowerCase();
	if (ua.match(/MicroMessenger/i) == "micromessenger") {
		return true;
	} else {
		return false;
	}
})();
var is_ios = (function() {
	var ua = navigator.userAgent.toLowerCase();
	if (/iphone|ipad|ipod/.test(ua)) {
		return true;
	} else {
		return false;
	}
})();
window.onload = function() {
	var android_btn = document.getElementById('android_btn');
	var iOS_btn = document.getElementById('iOS_btn');
	var tip = document.getElementById('weixin-tip');
	if (is_weixin) {
		tip.style.display = 'block';
	}
}
var iOSDownloadUrl = "";
var logoUrl = ""; // 机构logo
var clsTitle = ""; // 机构名称
var origin = location.origin; // 当前协议  域名
// origin = "https://dev.youyidacare.com";
var visitUrl = origin + '/youyida/';
var androidDownloadUrl = origin + "/youyida/common/getAndroidLastVersion/";
var searchObj = {}; // 当前请求参数
var logoEl = null,
	nameEl = null,
	androidBtn = null,
	iOSBtn = null;
var api = {
	logo: 'noAuth/orgn/client/patient/getOrgnLogoPic/', // 获取logo
	imgUrl: 'common/getHospitalPicture/', // 图片查看接口
}
var pageTitle = "优医达APP下载";


$(function() {
	var arr = location.search.slice(1).split('&');
	arr.forEach(v => {
		var res = v.split('=');
		searchObj[res[0]] = decodeURI(res[1]);
	})
	logoEl = $(".cls-logo");
	nameEl = $(".cls-name");
	androidBtn = $("#android_btn");
	iOSBtn = $("#iOS_btn");

	// 获取机构的logo
	setPageView(searchObj);

})

function setPageView(data) {
	var {
		clsName = '优医达', clsCode = 'mr', imgUrl = './static/img/default-logo.png', patientIosUrl = ''
	} = data;
	clsName = clsName ? clsName : '优医达';
	nameEl.html(clsName); // 设置机构名称
	$('title').html(clsName + 'APP下载')
	if (!imgUrl || imgUrl === './static/img/default-logo.png') {
		logoUrl = './static/img/default-logo.png';
	} else {
		logoUrl = visitUrl + api.imgUrl + imgUrl;
	}

	logoEl.attr('src', logoUrl); // 设置机构logo

	setDownloadBtn(clsCode, patientIosUrl);
}

function setDownloadBtn(clsCode, patientIosUrl) {
	// 控制下载按钮的显示隐藏
	if (is_ios) {
		androidBtn.empty();
		if (patientIosUrl) {
			$("#tip-msg").css("display", "none");
			iOSBtn.append(function() {
				var str = `<a class="download_btn iOS-btn" href="${patientIosUrl}">iOS下载</a>`;
				return str;
			})
		} else {
			iOSBtn.empty();
			$("#tip-msg").css("display", "block");
		}
	} else {
		androidBtn.append(function() {
			var str = `<a class="download_btn android-btn"
						href="${androidDownloadUrl}${clsCode}">Android下载</a>`;
			return str;
		});
	}
}
