var href = location;
var host = href.origin;
var search = href.search;
var hospitalParams = {}; // 医院相关参数
// host = "https://care.nxyouyida.com"
var apiUrl = host + '/youyida/';
var apiObj = {
	code: 'sms/getIdentifyingCodes/', // 验证码
	register: 'wx/subscription/orgnRegister', // 注册
	hospitalInfo: 'wx/subscription/getCodeHos', // 医院信息
	hospitalSign: 'wx/subscription/hosRegister', // 医院  注册接口
}
var clientType = 1; // 用户类型 1患者
var clsCode = ''; // 机构编号
var doctorIdStr = ''; // 医生id
var downloadUrl = "";
var time = 60;
var mobileInput = $("#mobile-phone");
var codeInput = $("#code");
var clearBtn = $(".clear-btn");
var sendCodeBtn = $('.send-code');
var validationCodeContent = $('.validation-code-content');
var validationCodeImg = $('.validation-code-img');
var validationClearBtn = $('.validation-clear-btn');

var validationCode = $('.validation-code');

var errorTips = $(".error-tips");
var timer = null;
var resData = {};
var positionList = [];
var is_weixin = (function() {
	var ua = navigator.userAgent.toLowerCase();
	if (ua.match(/MicroMessenger/i) == "micromessenger") {
		return true;
	} else {
		return false;
	}
})();

var searchObj = (function() {
	var search = location.search.slice(1);
	search = search.split('&');
	var obj = {};
	search.forEach(v => {
		var arr = v.split("=");
		obj[arr[0]] = arr[1];
	})
	return obj;
})()


$(function() {
	var tip = document.getElementById('weixin-tip');
	if (!is_weixin) {
		tip.style.display = 'block';
		return false;
	}

	getPageData();

	mobileInput.on("input", function() {
		if ($(this).val()) {
			clearBtn.css("display", "block");
		} else {
			clearBtn.css("display", "none");
		}

		if (mobileInput.val() && codeInput.val()) {
			$(".sign").addClass("active")
		}
	})

	mobileInput.on("blur", function() {
		validateMobile();
	})

	clearBtn.on("click", function() {
		mobileInput.val('');
		clearBtn.css("display", "none");
	})

	codeInput.on("input", function() {
		if (mobileInput.val() && codeInput.val()) {
			$(".sign").addClass("active")
		}
	})

	codeInput.on("blur", function() {
		validateCode();
	})
	validationClearBtn.on("click", function() {
		validationCodeImg.attr("src", "");
		validationCode.css("display", "none");
		positionList = [];
		$('.validation-code-content .dot').remove();
	})
	validationCodeImg.on("click", function(event) {
		positionList.push({
			x:event.offsetX,
			y:event.offsetY
		})
		var newDiv = $("<div class='dot' style='top:"+(event.offsetY-15)+"px;left:"+(event.offsetX-15)+"px'>"+positionList.length+"</div>");
    validationCodeContent.append(newDiv);
		if(positionList.length>=2){
			
			$.ajax({
				url: apiUrl + 'sms/checkValidationCode',
				type: 'post',
				data: JSON.stringify({
					mobileNumber:mobileInput.val(),
					clientType:'1',
					positionList:positionList
				}),
				processData: false,
				contentType: 'application/json',
				dataType: "json",
				success: function(res) {
					if (res.status === 200) {
						$('.success-tip').css('display', 'block').html('发送成功');
						setTimeout(() => {
							$('.success-tip').css('display', 'none');
						}, 1500)
						var str = "60s后重新获取";
						sendCodeBtn.html(str);
						timer = setInterval(() => {
							time--;
							str = time + "s后重新获取";
							sendCodeBtn.html(str);
							if (time <= 0) {
								clearInterval(timer);
								timer = null;
								str = "发送验证码";
								time = 60;
								sendCodeBtn.html(str);
							}
						}, 1000)
					} else {
						$('.success-tip').css('display', 'block').html(res.message.indexOf('验证失败')!=-1 ?"验证失败":"发送失败");
						setTimeout(() => {
							$('.success-tip').css('display', 'none');
						}, 1500)
					}
					validationClearBtn.click();
				},
				error: function(err) {
					$('.success-tip').css('display', 'block').html('发送失败');
						setTimeout(() => {
							$('.success-tip').css('display', 'none');
						}, 1500)
					validationClearBtn.click();
				}
			})
			
		}
	})
	sendCodeBtn.on("click", function() {
		if (!validateMobile()) {
			return false;
		}
		if (timer !== null) {
			return false;
		}
		
		validationCode.css("display", "flex");
		validationCodeImg.attr("src", apiUrl + "/sms/getValidationCode/" + mobileInput.val() + "/"+clientType+"/?t=" + Math.random());
		
	})



	$(".form").on("submit", function(e) {
		e.preventDefault();

		if (!validateMobile() || !validateCode()) {
			return false;
		}

		var data = $(this).serializeArray();
		var submitData = {};
		for (var i = 0; i < data.length; i++) {
			submitData[data[i].name] = data[i].value;
		}

		for (var j in searchObj) {
			submitData[j] = searchObj[j];
		}


		let url = apiObj.register;
		if (hospitalParams.classifyId) {
			url = apiObj.hospitalSign;
			submitData.classifyIdStr = hospitalParams.classifyId;
			submitData.hospitalIdStr = hospitalParams.hospitalId;
            if(hospitalParams.codeId) {
                submitData.codeId = hospitalParams.codeId;
            }
            
		}
		submitData = JSON.stringify(submitData);
        console.log(submitData);
		$.ajax({
			url: apiUrl + url,
			type: 'post',
			data: submitData,
			processData: false,
			contentType: 'application/json',
			dataType: "json",
			success: function(res) {
				if (res.status === 200) {
					resData = res.result;
					openUrl(resData);
				} else {
					$('.success-tip').css('display', 'block').html('注册失败');
					setTimeout(() => {
						$('.success-tip').css('display', 'none');
					}, 1500)
				}
			},
			error: function(err) {

			}
		})
	})
})

function openUrl(data) {
	var url = data.patientAppUrl;

	if (data.gongZhongHaoUrl) {
		location.href = data.gongZhongHaoUrl;
	} else if (data.patientAppUrl) {
		if (data.patientIosUrl) {
			encodeURI(data.patientAppUrl);
			url += '&patientIosUrl=' + data.patientIosUrl;
		}
		url += '&imgUrl=' + data.imgUrl;
		console.log(url);
		location.href = url;
	} else {
		$('.success-tip').css('display', 'block').html('注册成功');
		setTimeout(() => {
			$('.success-tip').css('display', 'none');
		}, 1500)
	}
}

function validateMobile() {
	var reg = /^[1][3, 4, 5, 6, 7, 9, 8][0-9]{9}$/;
	var mobileNumber = mobileInput.val();
	if (mobileNumber.length === 0) {
		mobileInput.closest(".form-item").next().html("请输入手机号码");
		mobileInput.closest(".form-item").next().css("display", "block");
		return false;
	}
	if (mobileNumber.length > 0 && mobileNumber.length < 11) {
		mobileInput.closest(".form-item").next().html("请输入11位的手机号码");
		mobileInput.closest(".form-item").next().css("display", "block");
		return false;
	}
	if (!reg.test(mobileNumber)) {
		mobileInput.closest(".form-item").next().html("手机号码格式不正确");
		mobileInput.closest(".form-item").next().css("display", "block");
		return false;
	}
	mobileInput.closest(".form-item").next().html("请输入手机号码");
	mobileInput.closest(".form-item").next().css("display", "none");
	return true;
}

function validateCode() {
	var codeNumber = codeInput.val();
	if (codeNumber.length === 0) {
		codeInput.closest(".form-item").next().html("请输入短信验证码");
		codeInput.closest(".form-item").next().css("display", "block");
		return false;
	}
	if (codeNumber.length > 0 && codeNumber.length < 4) {
		codeInput.closest(".form-item").next().html("请输入4位的短信验证码");
		codeInput.closest(".form-item").next().css("display", "block");
		return false;
	}
	codeInput.closest(".form-item").next().html("请输入短信验证码");
	codeInput.closest(".form-item").next().css("display", "none");
	return true;
}

/* 判断当前页面是从医生扫码还是医院扫码过来的 */
function getPageData() {
	search = search ? search.slice(1).split('&') : [];
	if (search.length > 0) {
		search.forEach(v => {
			hospitalParams[v.split('=')[0]] = v.split('=')[1];
		})
	}
	if (hospitalParams.classifyId) {
		$('.tips').css('display', 'none');
		$('.top').css('display', 'none');
		$('#hospital-info').css('display', 'block');
		getHospitalInfo();
	} else {
		$('.tips').css('display', 'flex');
		$('.top').css('display', 'block');
		$('#hospital-info').css('display', 'none');
		getDoctorInfo();
	}
}

/* 扫医生二维码进入访问页，调用此接口查询医生信息 */
function getDoctorInfo() {
	$.ajax({
		url: apiUrl + 'noAuth/client/patient/getDoctorInfoById/' + searchObj.doctorIdStr,
		type: "get",
		success: function(res) {
			$('.img-inside').css("background-image", "url(" + apiUrl + "common/getHeadPicture/" + res.result
				.imgUrl + ")");
			let str = '您好，欢迎加入' + res.result.name + '医生工作室，随时在线咨询！';
			$('.doctor-name').html(res.result.name);
			$('.doctor').html(str);
			$('.doctor-title').html(res.result.title);
			$('.info-hospital').html(res.result.hospitalDepartment);
		},
	})
}

/* 扫描医院二维码进入访问页，调用此接口查询医院信息 */
function getHospitalInfo() {
	$.ajax({
		url: apiUrl + apiObj.hospitalInfo,
		type: "post",
		processData: false,
		contentType: 'application/json',
		dataType: "json",
		data: JSON.stringify(hospitalParams),
		success: function(res) {
			$('.small-img').css("background-image", "url(" + apiUrl + "common/getHospitalPicture/" + res
				.result
				.logo + ")");
			let str = res.result.remarks;
			if (str.length > 110) {
				str = str.slice(0, 100);
				str +=
					`...<a href="hospital-info.html?hospitalId=${hospitalParams.hospitalId}&classifyId=${hospitalParams.classifyId}">更多</a><i class="iconfont icon-xiayige"></i>`;
			}
			$('.hospital-name').html(res.result.name);
			$('.doctor-title').html(res.result.title);
			$('.hospital-area').html(res.result.address);
			$('.hospital-remarks').html(str);
			$('.info-title .line').css('display', 'none');
		},
	})
}
